{% extends 'frontend/shared/layouts/default.html.twig' %}


{% block stylesheets %}
<style type="text/css">
.loading-load__more {
    text-align: center;
    margin-bottom: 15px
}
.loading-load__more .loader {
    border: 5px solid #f3f3f3;
    border-top: 5px solid #2A81BA;
    border-radius: 50%;
    width: 40px;
    height: 40px;
    animation: spin 2s linear infinite;
    margin: 15px auto 0
}
.custom-adv{margin-top:25px;}

@keyframes spin {
    0% {
        transform: rotate(0deg)
    }
    100% {
        transform: rotate(360deg)
    }
}
</style>
{% endblock %}


{% set news_one = news|slice(0, 1)|default([]) %}
{% set news_three = news|slice(1, 3)|default([]) %}
{% set news_rests = news[4:]|default([]) %}


{% block body %}
<section class="heading-page" style="background-image: url({{ asset('assets/images/metho/metho.jpg') }})">
    <h2 class="heading-caption font-satisfy text-white">Actualités</h2>
</section>

<main id="main">
    <section class="home-container act-page">
        <div class="container-fluid">
            <div class="row">
                <div class="col-lg-8 actualites-container">
                    <h1 class="page-title">Toutes les actualités</h1>
                    <div class="actualites-box">

                        {% if news_one %}
                            <div class="news-top">
                                <div class="n-item d-md-block d-flex align-items-center">
                                    <div class="n-img mb-md-4 mb-0 mr-md-0 mr-2">
                                        <a href="{{ path('news.detail', {newsSlug: (news_one|first).slug,newsId: (news_one|first).id}) }}">
                                            <img src="{{ (news_one|first).thumb }}" onerror="this.src='{{ asset('assets/images/no-images.jpg') }}';" alt="{{ (news_one|first).title }}"/>
                                        </a>
                                    </div>
                                    <div class="n-content">
                                        <p class="w-sb mb-md-2 mb-0">
                                            <a href="{{ path('news.detail', {newsSlug: (news_one|first).slug,newsId: (news_one|first).id}) }}">
                                                {{ (news_one|first).title }}
                                            </a>
                                        </p>
                                        <div class="public">
                                            <i class="fa fa-tag mr-1"></i><span>Publication le {{ (news_one|first).createdDate|date("d/m/Y") }} | Mise à jour le {{ (news_one|first).updatedDate|date("d/m/Y") }}</span>
                                        </div>
                                        <div class="n-desc">{{ (news_one|first).description|raw }}</div>
                                    </div>
                                </div>
                            </div>
                        {% endif %}

                        
                        {% if news_three %}
                            <div class="news-block">
                                <div class="row">
                                {% for news in news_three|default() %}
                                    <div class="col-sm-4">
                                        <div class="n-item d-md-block d-flex align-items-center">
                                            <div class="n-img mb-md-4 mb-0 mr-md-0 mr-2">
                                                <a href="{{ path('news.detail', {newsSlug: news.slug,newsId: news.id}) }}">
                                                    <img src="{{ news.thumb }}" onerror="this.src='{{ asset('assets/images/no-images.jpg') }}';" alt="{{ news.title }}"/>
                                                </a>
                                            </div>
                                            <p class="w-sb mb-md-2 mb-0">
                                                <a href="{{ path('news.detail', {newsSlug: news.slug,newsId: news.id}) }}">
                                                    {{ news.title }}
                                                </a>
                                            </p>
                                            <div class="public">
                                                <i class="fa fa-tag mr-1"></i><span>Publication le {{ news.createdDate|date("d/m/Y") }}</span>
                                            </div>
                                            <div class="n-desc">{{ news.description|raw }}</div>
                                        </div>
                                    </div>
                                {% endfor %}
                                </div>
                            </div>
                        {% endif %}
                       

                        <div class="adv text-center">
                            <a href="https://eduniversal-matching.com/inscription-etudiant?utm_source=StudiesAdvisor&utm_medium=Banners" target="_blank">
                                <img src="{{ asset('ads/eduniversal-matching-ad-728x90.gif') }}?v=1" alt="">
                            </a>
                        </div>

                        {% if news_rests %}
                            <div class="news-list mb-0" id="load-more">
                                {% for key, news in news_rests %}
                                    <div class="row">
                                        <div class="col-xs-12">
                                            <div class="n-item d-md-block d-flex align-items-center">
                                                <div class="n-img mb-md-4 mb-0 mr-md-0 mr-2">
                                                    <a href="{{ path('news.detail', {newsSlug: news.slug,newsId: news.id}) }}">
                                                        <img src="{{ news.thumb }}" onerror="this.src='{{ asset('assets/images/no-images.jpg') }}';" alt="{{ news.title }}"/>
                                                    </a>
                                                </div>
                                                <div class="n-text">
                                                    <p class="w-sb mb-md-2 mb-0">
                                                        <a href="{{ path('news.detail', {newsSlug: news.slug,newsId: news.id}) }}">
                                                            {{ news.title }}
                                                        </a>
                                                    </p>
                                                    <div class="public">
                                                        <i class="fa fa-tag mr-1"></i><span>Publication le {{ news.createdDate|date("d/m/Y") }}</span>
                                                    </div>
                                                    <div class="n-desc">{{ news.description|raw }}</div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    {% if (key+1) % 3 == 0 %}
                                        <div class="adv text-center custom-adv">
                                            <a href="https://eduniversal-matching.com/inscription-etudiant?utm_source=StudiesAdvisor&utm_medium=Banners" target="_blank">
                                                <img src="{{ asset('ads/eduniversal-matching-ad-728x90.gif') }}?v=1" alt="">
                                            </a>
                                        </div>
                                    {% endif %}
                                {% endfor %}
                                <div class="loading-load__more" style="display:none"><div class="loader"></div></div>
                            </div>
                        {% endif %}
                        
                    </div>
                </div>
                <div class="col-lg-4 banner-container">
                    <div class="banner-box">
                        <a href="https://eduniversal-matching.com/inscription-etudiant?utm_source=StudiesAdvisor&utm_medium=Banners" target="_blank">
                            <img src="{{ asset('assets/images/banner/banner-2.jpg') }}" alt=""/>
                        </a>
                    </div>
                </div>

            </div>
        </div>
    </section>
</main>  
{% endblock %}

{% block javascripts %}
{{ '<script type="application/ld+json">' | raw }}
{{ richSnippets | json_encode | raw }}
{{ '</script>' | raw }}
    <script type="text/javascript">
        $('document').ready(function(){
            $('.loading-load__more').hide();
            let totalPagesFirstScreen = '{{ total_pages }}';
            let page = 2;
            let process = true;
            $(window).scroll(function () {
                if($(window).scrollTop() + $(window).height()>= $(document).height()){
                    if(totalPagesFirstScreen >  1 && process){
                        getmoredata();
                    }
                }
            })
            function getmoredata() {
                if(page==null) return false;
                process = false;
                $('.loading-load__more').show();
                $.ajax({
                    type: "GET",
                    url: "{{ path('news.loadMore') }}",
                    dataType: "json",
                    data:{'page':page},
                    success: function (response) {
                        if(response.data.list){
                            $('#load-more').append(response.data.list);
                        }
                        $('.loading-load__more').hide();
                        page = response.data.total_pages > page ? page+1 : null;
                        process = true;
                    }
                });
            }
        });
    </script>
{% endblock %}
